%global libname termkey

Summary:        Library for easy processing of keyboard entry from terminal-based programs
Name:           lib%{libname}
Version:        0.22
Release:        5%{?dist}
License:        MIT
URL:            http://www.leonerd.org.uk/code/libtermkey
Source0:        %{url}/%{name}-%{version}.tar.gz

Patch3000:      0001-build-take-into-account-CFLAGS-LDFLAGS-for-tests.patch
Patch3001:      0002-include-stdlib.h-for-putenv.patch

BuildRequires:  gcc make libtool pkgconfig(unibilium) %{_bindir}/prove

%description
This library allows easy processing of keyboard entry from terminal-based programs. It handles all the
necessary logic to recognise special keys, UTF-8 combining, and so on, with a simple interface.

%package devel
Summary:        Development files needed for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
Library for easy processing of keyboard entry from terminal-based programs

%prep
%autosetup -n %{name}-%{version} -p1

%build
CFLAGS="%{__global_cflags}" LDFLAGS="%{__global_ldflags}" %make_build

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
rm -vf %{buildroot}%{_libdir}/*.{a,la}

%check
CFLAGS="%{__global_cflags} -D_XOPEN_SOURCE" LDFLAGS="%{__global_ldflags}" %make_build test


%files
%license LICENSE
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/%{name}.so
%{_includedir}/%{libname}.h
%{_libdir}/pkgconfig/%{libname}.pc
%{_mandir}/man3/%{libname}_*.3*
%{_mandir}/man7/%{libname}.7*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.22-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jan 16 2023 Shuo Wang <abushwang@tencent.com> - 0.22-1
- initial build
